// creator  : weidu.exe (version 23100)
// argument : NEMPHR.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~NEMPHR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 1 2 3 4 5 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #15019 /* ~Drenden Shale~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Global("HelpNemphre","GLOBAL",0)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
Gender(LastTalkedToBy,MALE)
~ THEN BEGIN 1 // from:
  SAY #15020 /* ~Darling Nalia!  Excuse my asking, my dear, but what are you doing with a bunch of commoners, hm?~ */
  IF ~~ THEN DO ~SetGlobal("HelpNemphre","GLOBAL",1)
~ JOURNAL #15733 /* ~~ */ EXIT
END

IF WEIGHT #1 ~Global("HelpNemphre","GLOBAL",0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
Gender(LastTalkedToBy,MALE)
~ THEN BEGIN 2 // from:
  SAY #15021 /* ~They are my friends.  And their deeds make them far more worthy than anything related to one's birth.~ */
  IF ~~ THEN DO ~SetGlobal("HelpNemphre","GLOBAL",1)
~ JOURNAL #15734 /* ~~ */ EXIT
END

IF WEIGHT #2 ~PartyHasItem("AMUL13")
Global("HelpNemphre","GLOBAL",1)
~ THEN BEGIN 3 // from:
  SAY #15022 /* ~Did you hear of that wizard's outrageous outburst?  I say they should all be executed.  Magic is such a horrible thing.~ */
  IF ~~ THEN DO ~SetGlobal("HelpNemphre","GLOBAL",2)
TakePartyItem("AMUL13")
GiveItem("SCRL1Q",LastTalkedToBy)
AddexperienceParty(1000)
~ EXIT
END

IF WEIGHT #3 ~Global("HelpNemphre","GLOBAL",1)
~ THEN BEGIN 4 // from:
  SAY #15023 /* ~My good friend Dawnmistress Aya has gone missing.  The Lathander church is in such a state, looking for her.  I'm so distraught over it I almost missed my tailor appointment this morning.  Tsk tsk.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~false()~ THEN BEGIN 5 // from:
  SAY #15024 /* ~I don't know why the garrison doesn't simply ride into the slums and clean the place out.  That's obviously where all this crime has been coming from.~ */
  IF ~~ THEN EXIT
END
